<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetFolders Method (IEdmBatchListing)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchListing Interface : GetFolders Method (IEdmBatchListing)

Visual Basic
C#
C++/CLI

ppoFolders
  Array of EdmListFolder structures; one structure for each folder in the listing

Gets all the folders in this listing.

# Syntax

Visual Basic |
--- | ---

    Sub GetFolders( _
       ByRef ppoFolders() As EdmListFolder _
    )

C# |
--- | ---

    void GetFolders(
       out EdmListFolder[] ppoFolders
    )

C++/CLI |
--- | ---

    void GetFolders(
    &   [Out] array<EdmListFolder>^ ppoFolders
    )

#### Parameters

ppoFolders
  Array of EdmListFolder structures; one structure for each folder in the listing

# Remarks

Before calling this method, call IEdmBatchListing::CreateList.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchListing Interface
IEdmBatchListing Members

# Availability

SOLIDWORKS PDM Professional 2010